# All recurrences
Retrieve a list of recurrence schedules attached to your organization's events. A recurrence describes how a parent event repeats (weekly tempo, monthly long run, etc.) and is the source of truth for auto-publishing future event runs.

GET /recurrences

## Query Parameters
- limit (number): Maximum number of recurrences to return (1-100)
- status (string): Filter by lifecycle status

## Authorization
read:recurrences

## Request Examples

### curl
```curl
curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
  https://api.intervals.run/recurrences?status=active&limit=20
```

### JavaScript
```javascript
const res = await fetch(
  "https://api.intervals.run/recurrences?status=active&limit=20",
  {
  headers: { Authorization: "Bearer INTERVALS_PARTNER_API_KEY" },
  }
);
const { data } = await res.json();
```

## Responses

### 200 (200)
```json
{
  "data": [
    {
      "_id": "rc91abc234def567",
      "eventId": "e72tuv901wxy234",
      "label": "Tuesday tempo",
      "schedule": {
        "frequency": "weekly",
        "daysOfWeek": [
          2
        ],
        "startTime": "18:30",
        "durationMinutes": 60
      },
      "status": "active",
      "autoPublishHorizonWeeks": 8
    }
  ]
}
```